Last Comment Bug 475877 - Prevent unnecessary box-shadow repaints by implementing nsDisplayBoxShadow::OptimizeVisibility
: Prevent unnecessary box-shadow repaints by implementing nsDisplayBoxShadow::O...
Status: RESOLVED FIXED
: fixed1.9.1, perf
Product: Core
Classification: Components
Component: Layout (show other bugs)
: unspecified
: All All
-- normal (vote)
: ---
Assigned To: Michael Ventnor
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 20:27 PST by Michael Ventnor
Modified: 2009-02-02 18:30 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (1.61 KB, patch)
2009-01-28 20:27 PST, Michael Ventnor
roc: review+
roc: superreview+
roc: approval1.9.1+
Details | Diff | Splinter Review

Description User image Michael Ventnor 2009-01-28 20:27:53 PST
Created attachment 359456 [details] [diff] [review]
Patch

This function allows you to specify whether a display list item is really necessary or not. If we could overload this within nsDisplayBoxShadow, this could really speed things up for box-shadow on stuff like <video> and windowless plugins by preventing unnecessary repainting of box-shadow underneath the actual frame.
Comment 1 User image Michael Ventnor 2009-01-28 20:45:06 PST
Just to leave myself a note here for future debugging hair-ripping, if we ever implement the 'inset' feature in the box-shadow editor's draft, this code will need to change so it only happens for outset shadows.
Comment 2 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2009-01-30 00:46:39 PST
Pushed http://hg.mozilla.org/mozilla-central/rev/3777df92cc24
Comment 3 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2009-01-30 00:47:09 PST
Comment on attachment 359456 [details] [diff] [review]
Patch

Simple patch that will help perf with this new feature
Comment 4 User image Robert O'Callahan (:roc) (email my personal email if necessary) 2009-02-02 18:30:16 PST
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/9eae7dae877e

Note You need to log in before you can comment on or make changes to this bug.